> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get files for a donor



## OpenAPI

````yaml get /frontend/donor/dashboard/files/{client_id}/{program_id}/{id}/{entity_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/files/{client_id}/{program_id}/{id}/{entity_id}/{session_id}:
    get:
      tags:
        - Frontend Donor
      summary: Get files for a donor
      operationId: 7182999a4c270081d582779314cb8593
      parameters:
        - name: client_id
          in: path
          description: Unique identifier for the client
          required: true
          schema:
            type: string
        - name: program_id
          in: path
          description: Unique identifier for the program
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: Unique identifier for the donor
          required: true
          schema:
            type: integer
        - name: entity_id
          in: path
          description: Unique identifier for the entity
          required: true
          schema:
            type: string
        - name: session_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  files:
                    type: array
                    items:
                      type: object
                  session_id:
                    type: string
                    example: '123456'
                  client_id:
                    type: string
                    example: '123456'
                  program_id:
                    type: string
                    example: '123456'
                  entity_id:
                    type: string
                    example: '123456'
                  box_exists:
                    type: boolean
                    example: true
                  file_links:
                    type: array
                    items:
                      type: object
                  image_links:
                    type: array
                    items:
                      type: object
                type: object
        '400':
          description: Invalid ID supplied
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid ID supplied
                type: object
        '404':
          description: Donor not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donor not found
                type: object
      security:
        - sessionIdAuth: []
components:
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````